> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bouncy.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Groups

> Retrieve all your groups with link counts

## Request

### Headers

## Response

<ResponseField name="groups" type="array">
  Array of group objects

  <Expandable title="properties">
    <ResponseField name="id" type="string">
      Group ID
    </ResponseField>

    <ResponseField name="name" type="string">
      Group name
    </ResponseField>

    <ResponseField name="description" type="string">
      Group description
    </ResponseField>

    <ResponseField name="color" type="string">
      Group color (hex code)
    </ResponseField>

    <ResponseField name="linkCount" type="number">
      Number of links in this group
    </ResponseField>

    <ResponseField name="createdAt" type="string">
      ISO 8601 timestamp of creation
    </ResponseField>

    <ResponseField name="updatedAt" type="string">
      ISO 8601 timestamp of last update
    </ResponseField>
  </Expandable>
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl https://api.bouncy.ai/v1/groups \
    -H "Authorization: Bearer bcy_live_pk_YOUR_API_KEY"
  ```

  ```javascript JavaScript theme={null}
  const response = await fetch('https://api.bouncy.ai/v1/groups', {
    headers: {
      'Authorization': 'Bearer bcy_live_pk_YOUR_API_KEY'
    }
  });

  const { groups } = await response.json();
  console.log(`You have ${groups.length} groups`);
  ```

  ```python Python theme={null}
  import requests

  response = requests.get(
      'https://api.bouncy.ai/v1/groups',
      headers={'Authorization': 'Bearer bcy_live_pk_YOUR_API_KEY'}
  )

  data = response.json()
  print(f"You have {len(data['groups'])} groups")
  ```
</RequestExample>

<ResponseExample>
  ```json 200 Success theme={null}
  {
    "groups": [
      {
        "id": "grp_abc123",
        "name": "Summer Campaign 2026",
        "description": "All links for the summer marketing campaign",
        "color": "#FF5733",
        "linkCount": 15,
        "createdAt": "2026-01-15T10:00:00Z",
        "updatedAt": "2026-02-05T14:30:00Z"
      },
      {
        "id": "grp_def456",
        "name": "Product Launch",
        "description": "Links for new product launch",
        "color": "#3498DB",
        "linkCount": 8,
        "createdAt": "2026-01-20T09:00:00Z",
        "updatedAt": "2026-02-01T11:15:00Z"
      },
      {
        "id": "grp_ghi789",
        "name": "Social Media",
        "description": "General social media links",
        "color": "#2ECC71",
        "linkCount": 23,
        "createdAt": "2025-12-10T08:00:00Z",
        "updatedAt": "2026-02-06T10:00:00Z"
      }
    ]
  }
  ```
</ResponseExample>
